class PropertyPages {

inherit itk::Widget

variable canvas
private variable uniqueid 0
public variable controlslist.server
public variable controlslist.directory 
public variable controlslist.location 
public variable controlslist.virtualhost 


constructor {args} {} { 

itk_component add panedwindow {
	iwidgets::panedwindow $itk_interior.pw  -orient vertical  -height 400 -width 600
}
pack $itk_component(panedwindow) -fill both -expand yes

$itk_component(panedwindow) add "left"
set leftp [$itk_component(panedwindow) childsite "left"]
$itk_component(panedwindow) add "right"
set rightp [$itk_component(panedwindow) childsite "right"]
$itk_component(panedwindow) fraction 30 70

#grid config $rightp -sticky ewns

array set canvas ""

itk_component add notebook { iwidgets::notebook  $rightp.notebook  -height 500 -width 700 }
pack $itk_component(notebook) -fill both -expand true

#grid config  $itk_component(notebook) -sticky ewns

itk_component add lnotebook { iwidgets::notebook  $leftp.notebook  -height 500 -width 200 }
pack $itk_component(lnotebook) -fill both -expand true

foreach item {server location directory virtualhost } {

pack [set hier($item) [ iwidgets::scrolledcanvas [$itk_component(lnotebook) add -label $item].hier -vscrollmode dynamic -hscrollmode dynamic ]] -fill both -expand yes

set canvas($item) [ $hier($item) component canvas]

HierNode $this-$item-root $canvas($item) -notebook $itk_component(notebook) -page 0\
-icon1 dirclosed -icon diropen -icon2 diropen -title Properties -virgin 0 -state open

$this-$item-root refresh

}

$itk_component(notebook) add -label root

eval itk_initialize $args

} 

public method addnode {node label page}
public method addpage {}
public method finnish_adding {}
public method view_hier {hier}



}

body PropertyPages::addpage {} {

incr uniqueid

return [ list $uniqueid [$itk_component(notebook) add  -label $uniqueid]]

}

body PropertyPages::addnode {node label pageid} {

## En el futro que se puedena definir iconos
set mynode [HierNode $this-#auto [$node canvas] -icon1 quill -icon quill\
-icon2 quill -title $label -notebook $itk_component(notebook) -page $pageid -virgin 0]
#el auto es para que logs/advanced no colida con web-advanced por ejemplo

$node add $mynode

return $mynode

}


body PropertyPages::finnish_adding {} {

foreach item {server location directory virtualhost } {
#[lindex [$this-root contents] 0] view
$this-$item-root refresh

}

}

body PropertyPages::view_hier { hier } {

[lindex [$this-$hier-root contents] 0] view
$this-$hier-root refresh
$itk_component(lnotebook) view $hier

}



