wm withdraw  .

package require Iwidgets 3.0
#catch [namespace import iwidgets::*]
catch [namespace import itcl::*]
catch [namespace import itk::*]

option add *textBackground white widgetDefault
option add *Entryfield.relief sunken
option add *Scrolledlistbox.relief sunken

if {$tcl_platform(platform) == "unix"} {
if {$argc != 1} {puts "\nUsage:   interpreter  main.tcl \
path_to_config_files_dir \n i.e /usr/local/bin/itkwish3.0 \
main.tcl /usr/local/apache/etc \n\
(httpd.conf, access.conf and srm.conf are in /usr/local/apache/etc\n\
Please read the user guide at the \doc subdirectory\n)" ; \
exit} else {


if [file exists [file join $argv httpd.conf]] { set pathtoconfig $argv} else {
puts "\nI can not find a file named httpd.conf in the $argv directory\n"; exit }

}

}

source lib/comanche/loadimages.tcl
source lib/misc/splash.tcl

.x.fb step
.x.fb configure -labeltext "Loading Comanche core"
update idletasks
                                                              
source lib/comanche/loadcore.tcl

Node g_cfg
ParseCCF g_cfg [open ccf/comanche/g_cfg.ccf]

CnfTree cnftree
if {$tcl_platform(platform) == "windows"} {
package require registry
# Docs says only one version of Apache at a time, so it is safe toassume it will only return one key

if [catch {registry keys HKEY_LOCAL_MACHINE\\SOFTWARE\\Apache\ Group\\Apache} versionNumber ] {

puts "No version of Apache installed!"
# In the future that not strictly needed (can edit config files nfs mounted). So take into account that to display options on demand
exit

}
cnftree configure -cnfurl [file native [file join [registry get HKEY_LOCAL_MACHINE\\SOFTWARE\\Apache\ Group\\Apache\\$versionNumber ServerRoot] conf]]

} else {
cnftree configure -cnfurl $pathtoconfig
}
cnftree Load ""

source lib/comanche/loaddirdefs.tcl

.x.fb step
.x.fb configure -labeltext "Loading directives"
update idletasks

source lib/comanche/loadctldefs.tcl



.x.fb step
.x.fb configure -labeltext "Loading controls"
update idletasks

source lib/comanche/loadctls.tcl


source princ.tcl

principal


source prop2.tcl


.x.fb step
.x.fb configure -labeltext "Loading property pages (may take some time)"
update idletasks

#CreateMainServerPP dummy dummy
CreatePP dummy dummy

.x.fb step
update idletasks


#CreateVirtualHostPP dummy dummy

.x.fb step
update idletasks

#CreateDirectoryPP dummy dummy

.x.fb step
update idletasks


catch [destroy .x]




proc update_text {widget handler} {

$widget insert end [gets $handler]
$widget yview end

}

proc WriteConfigFiles {root fich} {

puts $fich [$root get_data dir_value]

foreach node [$root contents] {

WriteConfigFiles $node $fich

}

if ![string compare [$root get_data dir_class]  container] {puts $fich "</[$root get_data type]>"}


}    

wm deiconify .

ApacheCtl status
