::tycho::LabeledGrid::newtype bdir \
        -create {control_bdir  %w; eval %w configure %a ; %w initialize}	-options {} -sticky {}

::tycho::LabeledGrid::newtype boolean \
        -create {control_boolean  %w; eval %w configure %a ;%w initialize}	-options {} -sticky {}

::tycho::LabeledGrid::newtype boolean2 \
        -create {control_boolean2  %w; eval %w configure %a; %w initialize}	-options {} -sticky {}

::tycho::LabeledGrid::newtype choice \
        -create {control_choice  %w; eval %w configure %a ;%w initialize }	-options {} -sticky {}

::tycho::LabeledGrid::newtype list\
        -create {control_list  %w; eval %w configure %a ;%w initialize}	-options {} -sticky {}
	
::tycho::LabeledGrid::newtype list2\
        -create {control_list2  %w; eval %w configure %a ;%w initialize}	-options {} -sticky {}
	
::tycho::LabeledGrid::newtype compound \
        -create {control_compound  %w; eval %w configure %a ;%w initialize}	-options {} -sticky {}

::tycho::LabeledGrid::newtype popformore \
        -create {control_popformore  %w; eval %w configure %a ;%w initialize} -options {} -sticky {}

::tycho::LabeledGrid::newtype radionb \
        -create {control_radionb  %w; eval %w configure %a ;%w initialize}	-options {} -sticky {}
::tycho::LabeledGrid::newtype radionb2 \
        -create {control_radionb2  %w; eval %w configure %a ;%w initialize}	-options {} -sticky {}




proc CallPropPages {Icomponentdata cookie type } {

set info(cookie) $cookie
$Icomponentdata GetNodeInfo info

foreach  el  [[.prop childsite].pp cget -controlslist.$type]   {
#$el initialize
$el configure -confnode $info(CnfNode) 
$el load

} 
set pp [.prop childsite].pp 

.prop buttonconfigure OK -command  "[list foreach el [$pp cget -controlslist.$type]  {$el save}];  .prop deactivate 1"

$pp view_hier $type

.prop activate


}

proc CreateMainServerPP {Icomponentdata cookie} {

CallPropPages $Icomponentdata $cookie server
}

proc CreateVirtualHostPP { Icomponentdata cookie } {

CallPropPages $Icomponentdata $cookie virtualhost

}

proc CreateDirectoryPP { Icomponentdata cookie } {

CallPropPages $Icomponentdata $cookie directory

}

proc CreateLocationPP { Icomponentdata cookie } {

CallPropPages $Icomponentdata $cookie location

}


proc CreatePP { Icomponentdata cookie } {

iwidgets::dialog .prop 
# -modality application
#main server properties

set pp [ PropertyPages [.prop childsite].pp ]

pack $pp -fill both -expand true 


foreach item { PageWebSite PageListening PagePerformance PageKeepAlive PageAdvanced 
PageCgi PageEnvironment PageLogs PageLogsAdvanced PageMIME PageDirectoryTuning 
PageDirectoryTuningAdvanced PageWebSiteVirtualHost
PageEnvironmentVirtualHost PageLogsVirtualHost PageLogsDirectory PageProxy
PageProxyMapping PageProxyCache} {

set arg  [$pp addpage]

set pagewgt($item) [lindex $arg 1]
set page($item) [lindex  $arg 0]

set controls($item)  [$item $pagewgt($item)]

}


set lista ""

foreach element "PageWebSite PageListening PagePerformance PageKeepAlive PageAdvanced 
PageCgi PageEnvironment PageLogs PageLogsAdvanced PageMIME PageDirectoryTuning 
PageDirectoryTuningAdvanced PageProxy PageProxyMapping PageProxyCache" {
lappend lista $controls($element)

}


$pp configure -controlslist.server [join $lista]

set lista ""
foreach element "PageLogsAdvanced PageDirectoryTuning
PageDirectoryTuningAdvanced PageMIME PageWebSiteVirtualHost PageEnvironmentVirtualHost PageLogsVirtualHost PageProxy PageProxyMapping PageProxyCache" {
lappend lista $controls($element)
}

$pp configure -controlslist.virtualhost [join $lista]

set lista ""
foreach element "PageDirectoryTuning PageDirectoryTuningAdvanced PageMIME PageLogsDirectory PageProxyCache" {
lappend lista  $controls($element)
}
set lista [join $lista]
$pp configure -controlslist.directory [join $lista]

set lista ""
foreach element "PageDirectoryTuning PageDirectoryTuningAdvanced PageMIME PageLogsDirectory " {
lappend lista  $controls($element)
}

$pp configure -controlslist.location [join $lista]

set node [$pp addnode $pp-server-root "Web Site" $page(PageWebSite)]
$pp addnode $node "Listening" $page(PageListening)
set node [$pp addnode  $pp-server-root  "Performance" $page(PagePerformance)]
$pp addnode  $node  "Keep Alive" $page(PageKeepAlive)
set node [$pp addnode $pp-server-root "CGI & Environment" $page(PageCgi)]
$pp addnode $node "Environment" $page(PageEnvironment)
set node [$pp addnode $pp-server-root "Logs" $page(PageLogs)]
$pp addnode $node "Advanced" $page(PageLogsAdvanced)
$pp addnode $pp-server-root "MIME management" $page(PageMIME)
set node [$pp addnode $pp-server-root "Directory tuning" $page(PageDirectoryTuning)] 
$pp addnode $node "Advanced" $page(PageDirectoryTuningAdvanced)
set node [$pp addnode $pp-server-root "Proxy" $page(PageProxy)]
$pp addnode $node "Mapping" $page(PageProxyMapping)
$pp addnode $node "Cache" $page(PageProxyCache)

$pp addnode $pp-virtualhost-root "Virtual Host" $page(PageWebSiteVirtualHost)
$pp addnode $pp-virtualhost-root "Environment" $page(PageEnvironmentVirtualHost)
set node [$pp addnode $pp-virtualhost-root "Logs" $page(PageLogsVirtualHost)]
$pp addnode $node "Advanced" $page(PageLogsAdvanced)
$pp addnode $pp-virtualhost-root "MIME management" $page(PageMIME)
set node [$pp addnode $pp-virtualhost-root "Directory tuning" $page(PageDirectoryTuning)] 
$pp addnode $node "Advanced" $page(PageDirectoryTuningAdvanced)
set node [$pp addnode $pp-virtualhost-root "Proxy" $page(PageProxy)]
$pp addnode $node "Mapping" $page(PageProxyMapping)
$pp addnode $node "Cache" $page(PageProxyCache)


$pp addnode $pp-directory-root "Logs" $page(PageLogsDirectory)
$pp addnode $pp-directory-root "MIME management" $page(PageMIME)
set node [$pp addnode $pp-directory-root "Directory tuning" $page(PageDirectoryTuning)] 
$pp addnode $node "Advanced" $page(PageDirectoryTuningAdvanced)

$pp addnode $pp-location-root "Logs" $page(PageLogsDirectory)
$pp addnode $pp-location-root "MIME management" $page(PageMIME)
set node [$pp addnode $pp-location-root "Directory tuning" $page(PageDirectoryTuning)] 
$pp addnode $node "Advanced" $page(PageDirectoryTuningAdvanced)

$pp finnish_adding
.prop delete Apply

}


